System 2.0.0.0 4.0.0.0 System.Object

Traces generated from a single logical operation can be tagged with an operation-unique identity, in order to distinguish them from traces from a different logical operation. For example, it may be useful to group correlated traces by ASP.NET request. The class provides methods used to store a logical operation identity in a thread-bound context and automatically tag each trace event generated by the thread with the stored identity.

Logical operations can also be nested. The property exposes the stack of nested logical operation identities. Each call to the method pushes a new logical operation identity onto the stack. Each call to the method pops a logical operation identity off the stack.

Logical operation identities are objects, allowing the use of a type for a logical operation identity.

Correlates traces that are part of a logical transaction.

- Property
  2.0.0.0
  4.0.0.0
  System.Guid To be added.

  The property gets and sets the global activity identity in the for the thread. The is used for trace transfer operations in trace listeners that override the method, such as the class.

  Gets or sets the identity for a global activity.

- Property
  2.0.0.0
  4.0.0.0
  System.Collections.Stack To be added.

  Each call to the method pushes a new logical operation identity onto the property's stack. Each call to the method pops a logical operation identity from the stack.

  Gets the logical operation stack from the call context.

- Method
  2.0.0.0
  4.0.0.0
  System.Void

  The logical operation is started using an automatically generated GUID for a logical operation identifier.

  Starts a logical operation on a thread.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The parameter can be any object, such as a that allows the operation to be identified for tracing purposes. The object represented by is added to the property.

  Starts a logical operation with the specified identity on a thread.

  An object identifying the operation.
- Method
  2.0.0.0
  4.0.0.0
  System.Void

  The logical operation is halted and the logical operation identity is removed from the property.

  Stops the current logical operation.